> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# targetentitytype

> TargetEntities

## "targetentitytype" MDO List

TargetEntities

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TargetEntityTypeProvider">TargetEntityTypeProvider</see> class.
The name of the MDO list is 'targetentitytype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/targetentitytype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("targetentitytype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 1  | Sale |           |           |

## Related MDO Lists

* "targetentitytypeheadings"
* "targetentitytypeheadingswithallitem"
* "targetentitytypeheadingswithallitemwithnoselection"
* "targetentitytypeheadingswithnoselection"
* "targetentitytypewithallitem"
* "targetentitytypewithallitemwithnoselection"
* "targetentitytypewithnoselection"


## Related topics

- [Enum TargetEntityType](/en/automation/crmscript/reference/CRMScript.NetServer.TargetEntityType.md)
- [Enum values for TargetEntityType](/en/database/tables/enums/targetentitytype.md)
- [SuperOffice.WebApi.Data.TargetEntityType](/en/api/reference/webapi/SuperOffice.WebApi.Data.TargetEntityType.md)
- [SuperOffice.WebApi.Agents.ITargetsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ITargetsAgent.md)
- [SuperOffice.WebApi.Agents.TargetsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.TargetsAgent.md)
- [SuperOffice.WebApi.Data.Targets GetTargetAssignmentForYearAndDimensionRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Targets_GetTargetAssignmentForYearAndDimensionRequest.md)
